<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFDataSourcesFactory (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFDataSourcesFactory (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFDataSourcesFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSource.html"
               title="interface in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/chart/XDDFDataSourcesFactory.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFDataSourcesFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel.chart</div>
    <h2 title="Class XDDFDataSourcesFactory" class="title">Class XDDFDataSourcesFactory</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.chart.XDDFDataSourcesFactory</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Beta.html"
                        title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XDDFDataSourcesFactory</span>
extends java.lang.Object</pre>
                <div class="block">Class <code>XDDFDataSourcesFactory</code> is a factory for <a
                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSource.html"
                        title="interface in org.apache.poi.xddf.usermodel.chart"><code>XDDFDataSource</code></a>
                    instances.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFCategoryDataSource</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSourcesFactory.html#fromArray-java.lang.String:A-java.lang.String-">fromArray</a></span>(java.lang.String[]&nbsp;elements,
                                    java.lang.String&nbsp;dataRange)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFCategoryDataSource</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSourcesFactory.html#fromArray-java.lang.String:A-java.lang.String-int-">fromArray</a></span>(java.lang.String[]&nbsp;elements,
                                    java.lang.String&nbsp;dataRange,
                                    int&nbsp;col)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static &lt;T extends java.lang.Number&gt;<br><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFNumericalDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFNumericalDataSource</a>&lt;T&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSourcesFactory.html#fromArray-T:A-java.lang.String-">fromArray</a></span>(T[]&nbsp;elements,
                                    java.lang.String&nbsp;dataRange)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static &lt;T extends java.lang.Number&gt;<br><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFNumericalDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFNumericalDataSource</a>&lt;T&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSourcesFactory.html#fromArray-T:A-java.lang.String-int-">fromArray</a></span>(T[]&nbsp;elements,
                                    java.lang.String&nbsp;dataRange,
                                    int&nbsp;col)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFCategoryDataSource</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSourcesFactory.html#fromDataSource-org.openxmlformats.schemas.drawingml.x2006.chart.CTAxDataSource-">fromDataSource</a></span>(org.openxmlformats.schemas.drawingml.x2006.chart.CTAxDataSource&nbsp;categoryDS)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFNumericalDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFNumericalDataSource</a>&lt;java.lang.Double&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSourcesFactory.html#fromDataSource-org.openxmlformats.schemas.drawingml.x2006.chart.CTNumDataSource-">fromDataSource</a></span>(org.openxmlformats.schemas.drawingml.x2006.chart.CTNumDataSource&nbsp;valuesDS)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFNumericalDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFNumericalDataSource</a>&lt;java.lang.Double&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSourcesFactory.html#fromNumericCellRange-org.apache.poi.xssf.usermodel.XSSFSheet-org.apache.poi.ss.util.CellRangeAddress-">fromNumericCellRange</a></span>(<a
                                        href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a>&nbsp;sheet,
                                    <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;cellRangeAddress)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFCategoryDataSource</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSourcesFactory.html#fromStringCellRange-org.apache.poi.xssf.usermodel.XSSFSheet-org.apache.poi.ss.util.CellRangeAddress-">fromStringCellRange</a></span>(<a
                                        href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a>&nbsp;sheet,
                                    <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;cellRangeAddress)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="fromDataSource-org.openxmlformats.schemas.drawingml.x2006.chart.CTAxDataSource-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fromDataSource</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFCategoryDataSource</a>&nbsp;fromDataSource(org.openxmlformats.schemas.drawingml.x2006.chart.CTAxDataSource&nbsp;categoryDS)</pre>
                            </li>
                        </ul>
                        <a name="fromDataSource-org.openxmlformats.schemas.drawingml.x2006.chart.CTNumDataSource-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fromDataSource</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFNumericalDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFNumericalDataSource</a>&lt;java.lang.Double&gt;&nbsp;fromDataSource(org.openxmlformats.schemas.drawingml.x2006.chart.CTNumDataSource&nbsp;valuesDS)</pre>
                            </li>
                        </ul>
                        <a name="fromArray-java.lang.Number:A-java.lang.String-">
                            <!--   -->
                        </a><a name="fromArray-T:A-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fromArray</h4>
                                <pre>public static&nbsp;&lt;T extends java.lang.Number&gt;&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFNumericalDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFNumericalDataSource</a>&lt;T&gt;&nbsp;fromArray(T[]&nbsp;elements,
                                                                                java.lang.String&nbsp;dataRange)</pre>
                            </li>
                        </ul>
                        <a name="fromArray-java.lang.String:A-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fromArray</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFCategoryDataSource</a>&nbsp;fromArray(java.lang.String[]&nbsp;elements,
                                               java.lang.String&nbsp;dataRange)</pre>
                            </li>
                        </ul>
                        <a name="fromArray-java.lang.Number:A-java.lang.String-int-">
                            <!--   -->
                        </a><a name="fromArray-T:A-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fromArray</h4>
                                <pre>public static&nbsp;&lt;T extends java.lang.Number&gt;&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFNumericalDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFNumericalDataSource</a>&lt;T&gt;&nbsp;fromArray(T[]&nbsp;elements,
                                                                                java.lang.String&nbsp;dataRange,
                                                                                int&nbsp;col)</pre>
                            </li>
                        </ul>
                        <a name="fromArray-java.lang.String:A-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fromArray</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFCategoryDataSource</a>&nbsp;fromArray(java.lang.String[]&nbsp;elements,
                                               java.lang.String&nbsp;dataRange,
                                               int&nbsp;col)</pre>
                            </li>
                        </ul>
                        <a name="fromNumericCellRange-org.apache.poi.xssf.usermodel.XSSFSheet-org.apache.poi.ss.util.CellRangeAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fromNumericCellRange</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFNumericalDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFNumericalDataSource</a>&lt;java.lang.Double&gt;&nbsp;fromNumericCellRange(<a
                                        href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a>&nbsp;sheet,
                                                                             <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                                                                title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;cellRangeAddress)</pre>
                            </li>
                        </ul>
                        <a name="fromStringCellRange-org.apache.poi.xssf.usermodel.XSSFSheet-org.apache.poi.ss.util.CellRangeAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>fromStringCellRange</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFCategoryDataSource</a>&nbsp;fromStringCellRange(<a
                                        href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a>&nbsp;sheet,
                                                         <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                                            title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;cellRangeAddress)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFDataSourcesFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSource.html"
               title="interface in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/chart/XDDFDataSourcesFactory.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFDataSourcesFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
